List Channels

Returns a list of Channels.

Will always return the default BigCommerce storefront with an ID of 1. This storefront is created by default when you provision a BigCommerce store.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

includeenumOptional
Channels subresources that can be included in the response.
Allowed values:
availablebooleanOptional
Filter items based on whether the channel is currently available for integration. Setting this query parameter to `true` will return channels with the status of `prelaunch`, `active` , `inactive`, and `connected`. Setting this query parameter to `false` will return channels with the status of `disconnected`, `archived`, `deleted`, and `terminated`.
status:inlist of enumsOptional

Filter items by a comma-separated list of statuses.

type:inlist of enumsOptional

Filter items by a comma-separated list of types.

Allowed values:
platform:inlist of stringsOptional

Filter items by a comma-separated list of platforms. For a list of supported platforms, see Platform.

date_createdstringOptional

Filter items by date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14.

date_created:minstringOptional

Filter items by minimum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created after this date.

date_created:maxstringOptional

Filter items by maximum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created before this date.

date_modifiedstringOptional

Filter items by date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14.

date_modified:minstringOptional

Filter items by minimum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified after this date.

date_modified:maxstringOptional

Filter items by maximum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified before this date.

limitintegerOptional
Controls the number of items per page for paginated responses.
pageintegerOptional
Specifies the page number for a paginated response.

Response

datalist of objects
metaobject
Data about the response, including pagination.

Errors

422
Unprocessable Entity Error